import numpy as np
import librosa as lr

dsName = "urban"
ftr_size = 13
def get_mfcc(fname):
    y, sr = lr.load(fname.replace("$"," "), sr=44100)
    mfccs = lr.feature.mfcc(y=y, sr=sr, n_mels  = 40, n_mfcc=ftr_size, n_fft=1024)
    dmfccs = np.diff(mfccs)
    ftr = np.concatenate((np.mean(mfccs, 1),
        np.std(mfccs, 1), np.min(mfccs, 1),
        np.max(mfccs, 1), np.mean(dmfccs, 1),
        np.std(dmfccs, 1), np.min(dmfccs, 1),np.max(dmfccs, 1)
        ))
    return ftr

ftr_matrix = np.empty((0, ftr_size*8))
for line in open("ds/"+dsName+".ds", "rt"):
    fname = line.split(" ")[0]
    ftr = ftr = get_mfcc(fname)
    ftr_matrix = np.append(ftr_matrix, [ftr], axis=0)

np.savetxt("features/"+dsName+".mfcc", ftr_matrix)
